Package org.eclipse.emf.cdo.server

## Class CDOServerBrowser.HistoryPage

- java.lang.Object
- - org.eclipse.emf.cdo.server.CDOServerBrowser.AbstractPage
  - - org.eclipse.emf.cdo.server.CDOServerBrowser.HistoryPage

- All Implemented Interfaces:
    `CDOServerBrowser.Page`
  Enclosing class:
    CDOServerBrowser

      public static class CDOServerBrowser.HistoryPage
      extends CDOServerBrowser.AbstractPage

  A `server browser page` that renders `commit infos`.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `NAME` |

    - ### Fields inherited from interface org.eclipse.emf.cdo.server.CDOServerBrowser.Page

      `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HistoryPage()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `canDisplay​(InternalRepository repository)` |
    `void` | `display​(CDOServerBrowser browser, InternalRepository repository, java.io.PrintStream out)` |
    `protected void` | `showCommitData​(java.io.PrintStream out, CDOCommitInfo commitInfo, CDOServerBrowser browser)` |
    `protected boolean` | `showCommitInfo​(java.io.PrintStream out, CDOCommitInfo commitInfo, CDOServerBrowser browser, java.lang.String param, boolean auditing)` |

    - ### Methods inherited from class org.eclipse.emf.cdo.server.CDOServerBrowser.AbstractPage

      `getLabel, getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final java.lang.String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HistoryPage

          public HistoryPage()

  - ### Method Detail

    - #### canDisplay

          public boolean canDisplay​(InternalRepository repository)

    - #### display

          public void display​(CDOServerBrowser browser,
                              InternalRepository repository,
                              java.io.PrintStream out)

    - #### showCommitInfo

          protected boolean showCommitInfo​(java.io.PrintStream out,
                                           CDOCommitInfo commitInfo,
                                           CDOServerBrowser browser,
                                           java.lang.String param,
                                           boolean auditing)

    - #### showCommitData

          protected void showCommitData​(java.io.PrintStream out,
                                        CDOCommitInfo commitInfo,
                                        CDOServerBrowser browser)